Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gentoo upgrade]failed to upgrade glibc-2.34.3
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
ligang
n00b
n00b


Joined: 08 Oct 2007
Posts: 17

PostPosted: Sun Apr 28, 2013 11:46 pm    Post subject: [gentoo upgrade]failed to upgrade glibc-2.34.3 Reply with quote

hi, I failed to upgrade gentoo, here is the error log.

what shoud i do for this? thanks..
Code:
>>> Emerging (64 of 268) dev-libs/glib-2.34.3
 * glib-2.34.3.tar.xz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                                    [ ok ]
 * pkg-config-0.26.tar.gz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                                [ ok ]
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found kernel object directory:
 *     /lib/modules/3.5.7-gentoo/build
 * Found sources for kernel version:
 *     3.5.7-gentoo
 * Checking for suitable kernel configuration options...                                                                                      [ ok ]
>>> Unpacking source...
>>> Unpacking glib-2.34.3.tar.xz to /var/tmp/portage/dev-libs/glib-2.34.3/work
>>> Unpacking pkg-config-0.26.tar.gz to /var/tmp/portage/dev-libs/glib-2.34.3/work
>>> Source unpacked in /var/tmp/portage/dev-libs/glib-2.34.3/work
>>> Preparing source in /var/tmp/portage/dev-libs/glib-2.34.3/work/glib-2.34.3 ...
 * Applying glib-2.12.12-fbsd.patch ...                                                                                                       [ ok ]
 * Applying glib-2.31.x-external-gdbus-codegen.patch ...                                                                                      [ ok ]
 * Applying glib-2.32.4-bashcomp.patch ...                                                                                                    [ ok ]
 * Applying glib-2.34.0-testsuite-skip-thread4.patch ...                                                                                      [ ok ]
 * Applying glib-2.34.0-testsuite-skip-gdbus-auth-tests.patch ...                                                                             [ ok ]
 * Running eautoreconf in '/var/tmp/portage/dev-libs/glib-2.34.3/work/glib-2.34.3' ...
 * Skipping 'gtkdocize --copy' due gtkdocize not installed
 * Running libtoolize --install --copy --force --automake ...                                                                                 [ ok ]
 * Running aclocal -I /var/tmp/portage/dev-libs/glib-2.34.3/work -I m4macros ...                                                              [ !! ]

 * Failed Running aclocal !
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/dev-libs/glib-2.34.3/temp/aclocal.out

 * ERROR: dev-libs/glib-2.34.3 failed (prepare phase):
 *   Failed Running aclocal !
 *
 * Call stack:
 *     ebuild.sh, line   93:  Called src_prepare
 *   environment, line 6950:  Called eautoreconf
 *   environment, line 1789:  Called eaclocal
 *   environment, line 1692:  Called autotools_run_tool '--at-m4flags' 'aclocal' '-I' 'm4macros'
 *   environment, line 1353:  Called die
 * The specific snippet of code:
 *           die "Failed Running $1 !";
 *
 * If you need support, post the output of `emerge --info '=dev-libs/glib-2.34.3'`,
 * the complete build log and the output of `emerge -pqv '=dev-libs/glib-2.34.3'`.
/usr/lib/portage/bin/isolated-functions.sh: line 215: wait: `Failed Running aclocal !': not a pid or valid job spec
 * The complete build log is located at '/var/tmp/portage/dev-libs/glib-2.34.3/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-libs/glib-2.34.3/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-libs/glib-2.34.3/work/glib-2.34.3'
 * S: '/var/tmp/portage/dev-libs/glib-2.34.3/work/glib-2.34.3'

>>> Failed to emerge dev-libs/glib-2.34.3, Log file:

>>>  '/var/tmp/portage/dev-libs/glib-2.34.3/temp/build.log'
Back to top
View user's profile Send private message
ligang
n00b
n00b


Joined: 08 Oct 2007
Posts: 17

PostPosted: Mon Apr 29, 2013 2:40 am    Post subject: Reply with quote

i check the aclocal.out, it seems there are errors in configure.ac


***** aclocal *****
***** PWD: /var/tmp/portage/dev-libs/glib-2.34.3/work/glib-2.34.3
***** aclocal -I /var/tmp/portage/dev-libs/glib-2.34.3/work -I m4macros

configure.ac:294: error: 'AM_PROG_CC_STDC': this macro is obsolete.
You should simply use the 'AC_PROG_CC' macro instead.
Also, your code should no longer depend upon 'am_cv_prog_cc_stdc',
but upon 'ac_cv_prog_cc_stdc'.
/usr/share/aclocal-1.13/obsolete-err.m4:17: AM_PROG_CC_STDC is expanded from...
configure.ac:294: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1
Back to top
View user's profile Send private message
jspark311
n00b
n00b


Joined: 09 May 2013
Posts: 1

PostPosted: Thu May 09, 2013 11:51 pm    Post subject: Me too Reply with quote

The proper fix is to report a bug and (if you are able) modify the ebuild/make file as the aclocal log suggests. I'm not sure what ramifications that will have on other packages, however.

The immediate fix is to mask that particular version of glib, like so...

vi /etc/portage/package.mask

And in that file, add the line....

>=dev-libs/glib-2.32.9


glib-2.32.8 is the version I had on my box.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum